import { spawn } from "child_process";
import { Logger } from "../build/utils/logger";

function executeViaSpawn() {
  return new Promise((resolve) => {
    const command = [
      "ZDLintingFramework",
      "lint",
      "--",
      "--lintEnv=pre-commit",
    ];
    const child_process = spawn("npx", command);
    child_process.stdout.on("data", (output) => {
      Logger.log(Logger.INFO_TYPE, output.toString());
    });

    child_process.stderr.on("err", (error) => {
      Logger.log(Logger.FAILURE_TYPE, error);
    });

    child_process.on("close", (data) => {
      resolve(data);
    });
  });
}

export { executeViaSpawn, Logger };
