import path from 'path';
import { Logger } from './logger';
import { checkIfFileExists } from './fileUtils';
function getSonarJarPath() {
  const jarPath = path.resolve(
    __dirname,
    '..',
    'lint',
    'java-jar',
    'sonar-scanner-cli-4.8.0.2856.jar'
  );
  if (checkIfFileExists(jarPath)) {
    return jarPath;
  }
  Logger.log(Logger.FAILURE_TYPE, 'cannot find -  Java-Jar');
  process.exit(0);
}

export {
  getSonarJarPath
};
